View Issue Details

IDProjectCategoryView StatusLast Update
0015937ScribusInternalpublic2019-12-08 21:24
Reporterale Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.5.6.svn 
Target VersionFixed in Version1.5.6.svn 
Summary0015937: ui/newfile.h name does not match name of class
Descriptionnewfile.h should be renamed to newdoc.h
TagsNo tags attached.
PatchNo

Activities

jghali

2019-11-13 06:57

administrator   ~0047055

It would be probably even better if it would be renamed to newdocdialog...

ale

2019-11-13 09:23

manager   ~0047062

... it's in ui/ ... so it could be obvious that it's a dialog : - )

but adding a namespace would be nice: Scribus::UI::NewDocument

Issue History

Date Modified Username Field Change
2019-11-12 15:47 ale New Issue
2019-11-13 06:57 jghali Note Added: 0047055
2019-11-13 09:23 ale Note Added: 0047062
2019-11-14 10:05 jghali Category Build System => Internal
2019-11-14 12:50 jghali Summary ui/newfile.h contains NewDoc => ui/newfile.h name does not match name of implemented class
2019-11-14 12:52 jghali Summary ui/newfile.h name does not match name of implemented class => ui/newfile.h name does not match name of class
2019-11-14 12:58 jghali Assigned To => jghali
2019-11-14 12:58 jghali Status new => resolved
2019-11-14 12:58 jghali Resolution open => fixed
2019-11-14 12:58 jghali Fixed in Version => 1.5.6.svn
2019-12-08 21:24 cbradney Status resolved => closed